Index: expeyes/Makefile
===================================================================
--- expeyes.orig/Makefile
+++ expeyes/Makefile
@@ -1,18 +1,10 @@
 DESTDIR =
-EYES17_ONLY = $(shell ls build_eyes17_only 2>/dev/null)
 SUBDIRS = po clib/expeyes-clib
-ifeq ($(EYES17_ONLY), build_eyes17_only)
-	SUBDIRS =
-endif
-
 SUBDIRS_INDEP = expeyes-web \
 		microhope microhope/po microhope/microhope-doc \
 		eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles \
 		eyesjunior/lang eyesjunior/layouts eyesjunior/helpFiles \
 		bin
-ifeq ($(EYES17_ONLY), build_eyes17_only)
-	SUBDIRS_INDEP = eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles
-endif
 
 LANGS = ${wildcard eyes17/helpFiles| grep '^..$$'}
 THIS_DIR = ${shell pwd}
@@ -38,11 +30,9 @@ all_indep:
 	done
 
 all_firmware:
-	if [ -z "$(EYES17_ONLY)" ]; then \
-	  for d in firmware kuttyPy/firmware microhope/firmware; do \
-	    $(MAKE) -C $$d all; \
-	  done; \
-	fi
+	for d in firmware kuttyPy/firmware microhope/firmware; do \
+	  $(MAKE) -C $$d all; \
+	done
 
 clean_firmware: clean
 	# clean the bootloader hex file
@@ -60,30 +50,30 @@ install_arch: all_arch
 	fi
 	install -d $(DESTDIR)/lib/udev/rules.d/
 	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
-	## for expeyes
-	#install -d $(DESTDIR)/usr/share/expeyes
-	#cp -a eyes $(DESTDIR)/usr/share/expeyes
-	## icons
+	# for expeyes
+	install -d $(DESTDIR)/usr/share/expeyes
+	cp -a eyes $(DESTDIR)/usr/share/expeyes
+	# icons
 	install -d $(DESTDIR)/usr/share/icons
-	#install -m 644 pixmaps/expeyes-logo.png \
-	#  $(DESTDIR)/usr/share/icons/expeyes.png
-	#install -m 644 pixmaps/expeyes-junior-icon.png \
-	#  $(DESTDIR)/usr/share/icons
+	install -m 644 pixmaps/expeyes-logo.png \
+	  $(DESTDIR)/usr/share/icons/expeyes.png
+	install -m 644 pixmaps/expeyes-junior-icon.png \
+	  $(DESTDIR)/usr/share/icons
 	install -m 644 pixmaps/eyes17-logo.png \
 	  $(DESTDIR)/usr/share/icons
-	#install -m 644 pixmaps/expeyes-progman-jr-doc.png \
-	#  $(DESTDIR)/usr/share/icons
-	#install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
-	#  $(DESTDIR)/usr/share/icons
-	#install -m 644 pixmaps/nuclear-icon.png \
-	#  $(DESTDIR)/usr/share/icons
-	## desktop files
+	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
+	  $(DESTDIR)/usr/share/icons
+	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
+	  $(DESTDIR)/usr/share/icons
+	install -m 644 pixmaps/nuclear-icon.png \
+	  $(DESTDIR)/usr/share/icons
+	# desktop files
 	install -d $(DESTDIR)/usr/share/applications
-	#install -m 644 desktop/expeyes.desktop \
-	#  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop
-	install -m644 desktop/expeyes-17.desktop \
+	install -m 644 desktop/expeyes.desktop \
+	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
+	  desktop/expeyes-17.desktop \
 	  $(DESTDIR)/usr/share/applications
-	#$(MAKE) -C po install DESTDIR=$(DESTDIR)
+	$(MAKE) -C po install DESTDIR=$(DESTDIR)
 	# for expeyes-doc-common
 	install -d $(DESTDIR)/usr/share/icons
 	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
@@ -93,41 +83,25 @@ install_arch: all_arch
 	for d in $(SUBDIRS); do \
 	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
 	done
-	## fix permissions in /usr/share/expeyes
-	#find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
-	## for expeyes-clib
-	#rm -f  $(DESTDIR)/usr/share/expeyes/clib
-	#ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
-
-DOCDIR_17 = $(DESTDIR)/usr/share/eyes17/doc
-DEBIAN_DOCDIR = $(DESTDIR)/usr/share/doc/eyes17
+	# fix permissions in /usr/share/expeyes
+	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
+	# for expeyes-clib
+	rm -f  $(DESTDIR)/usr/share/expeyes/clib
+	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
 
 install_indep: all_indep
 	for d in $(SUBDIRS_INDEP); do \
 	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
 	done
-	# copy eyes17 docs' locations expEYES-17.{pdf|epub} to eyes17.{pdf|epub}
-	mkdir -p $(DOCDIR_17)
-	for lang in en fr es ml; do \
-	  mkdir -p $(DEBIAN_DOCDIR)/$${lang}; \
-	  ln -s ../../doc/eyes17/$${lang} $(DOCDIR_17); \
-	  install -m 644 \
-	       eyes17/helpFiles/$${lang}/build/latex/expEYES-17.pdf \
-	       $(DEBIAN_DOCDIR)/$${lang}/eyes17.pdf; \
-	  install -m 644 \
-	       eyes17/helpFiles/$${lang}/build/epub/expEYES-17.epub \
-	       $(DEBIAN_DOCDIR)/$${lang}/eyes17.epub; \
-	done
 	# fix a few permission
 	find $(DESTDIR) -name "*.pdf" -exec chmod -x {} \;
-	## PO files for expeyes
-	#make -C po install DESTDIR=$(DESTDIR)
-	## PO files for microhope
-	#make -C microhope/po install DESTDIR=$(DESTDIR)
-	## files from eyesjunior
-	#mkdir -p $(DESTDIR)/usr/share/eyesj
-	#cp -a eyesjunior/* $(DESTDIR)/usr/share/eyesj
-
+	# PO files for expeyes
+	make -C po install DESTDIR=$(DESTDIR)
+	# PO files for microhope
+	make -C microhope/po install DESTDIR=$(DESTDIR)
+	# files from eyesjunior
+	mkdir -p $(DESTDIR)/usr/share/eyesj
+	cp -a eyesjunior/* $(DESTDIR)/usr/share/eyesj
 	# files from eyes17
 	mkdir -p $(DESTDIR)/usr/share/eyes17
 	for f in eyes17/server*.html eyes17/*.py ; do \
@@ -136,7 +110,7 @@ install_indep: all_indep
 	for d in code examples eyes17 html images lang layouts blockly  screenshots; do \
 	  cp -a eyes17/$$d $(DESTDIR)/usr/share/eyes17; \
 	done
-	# help files for eyes17s help popup
+	# help files for eyes17's help popup
 	mkdir -p $(DESTDIR)/usr/share/eyes17/helpFiles
 	for d in pics schematics; do \
 	  cp -a eyes17/helpFiles/$$d $(DESTDIR)/usr/share/eyes17/helpFiles; \
@@ -163,8 +137,7 @@ install_indep: all_indep
 clean:
 	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
 	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
-	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || \
-		$(MAKE) -C $$d clean EYES17_ONLY=$(EYES17_ONLY); \
+	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || $(MAKE) -C $$d clean; \
 	done
 	[ ! -d clib ] || (cd clib/expeyes-clib && sh clean-all.sh)
 	# fix compiles Python files created by the clean scripts above
Index: expeyes/eyes17/helpFiles/Makefile
===================================================================
--- expeyes.orig/eyes17/helpFiles/Makefile
+++ expeyes/eyes17/helpFiles/Makefile
@@ -1,11 +1,8 @@
 DESTDIR =
-LANGUAGES_WITH_MANUAL = en es fr ml
+
 LANGUAGES = $(shell find . -mindepth 1 -maxdepth 1 -type d | grep -Ev "pics|schematics|xcircuit|cache")
 LANGUAGES_HTMLDONE = $(patsubst %, %/html-done, $(LANGUAGES))
 
-LANGUAGES_PDFDONE = $(patsubst %, %/pdf-done, $(LANGUAGES_WITH_MANUAL))
-LANGUAGES_EPUBDONE = $(patsubst %, %/epub-done, $(LANGUAGES_WITH_MANUAL))
-
 # try to take a timestamp from ../../debian/changelog and if that fails
 # replace by 1584377500, which is near 2020-1016 17:00 UTC
 export SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -l ../../debian/changelog -STimestamp 2>/dev/null || echo 1584377500)
@@ -22,26 +19,10 @@ fixTheLinks:
 	$(MAKE) -C $$l all; \
 	date > $@
 
-userManual: $(LANGUAGES_PDFDONE) $(LANGUAGES_EPUBDONE)
-
-%/pdf-done: $(wildcard %/_sources/*.rst)
-	l=$$(dirname $@); \
-	echo "====| RST => PDF for language $$l |===="; \
-	$(MAKE) -C $$l latexpdf; \
-	date > $@
-
-%/epub-done: $(wildcard %/_sources/*.rst)
-	l=$$(dirname $@); \
-	echo "====| RST => EPUB for language $$l |===="; \
-	$(MAKE) -C $$l epub; \
-	date > $@
-
-
 clean:
-	rm -f $(LANGUAGES_PDFDONE) $(LANGUAGES_EPUBDONE)
 	rm -rf cache/
 	for l in $(LANGUAGES); do \
-	  rm -f $$l/pdf-done $$l/html-done $$l/epub-done; \
+	  rm -f $$l/html-done; \
 	  rm -rf $$l/_sources/__pycache__; \
 	  $(MAKE) -C $$l clean; \
 	done
Index: expeyes/eyes17/helpFiles/Makefile-lang
===================================================================
--- expeyes.orig/eyes17/helpFiles/Makefile-lang
+++ expeyes/eyes17/helpFiles/Makefile-lang
@@ -5,7 +5,6 @@
 RSTSOURCES = $(wildcard _sources/*.rst)
 SOURCES_ = $(shell ls _sources/*.rst | grep -v index.rst | sed 's%_sources/%%')
 HTML_FILES = $(patsubst %.rst, %.html, $(SOURCES_))
-TARGET = $(shell cd _sources && python3 -c 'import conf; print(conf.project)')
 
 all: $(HTML_FILES)
 	@echo
@@ -14,99 +13,9 @@ all: $(HTML_FILES)
 	@echo -n "$@ "
 	@rst2html $< $@
 
-###### That part is for the User Manual #######################################
-
-# Minimal makefile for Sphinx documentation
-#
-
-# You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-SOURCEDIR     = _sources
-SOURCES       = $(wildcard $(SOURCEDIR)/*.rst)
-BUILDDIR      = build
-
-PAPER = a4
-
-# Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS)
-# the i18n builder cannot share the environment and doctrees with the others
-I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-
-
-# Put it first so that "make" without argument is like "make help".
-help:
-	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
-
-.PHONY: help Makefile
-
-.PHONY: latexpdf real_latexpdf
-
-# for languages without correct LaTeX babel, change this dependency
-# so latexpdf will not be called
-latexpdf:
-	@if [ -f NoLaTeX ]; then \
-	  printf "+----------------------------------+\n| No LaTeX build since it is not   |\n| well supported for this language |\n+----------------------------------+\n"; \
-	else \
-	  $(MAKE) real_latexpdf; \
-	fi
-
-real_latexpdf: build/latex/$(TARGET).pdf
-
-build/latex/$(TARGET).pdf : cover/coverpage.pdf cover/preface.pdf $(RSTSOURCES)
-	@echo making the tempory file \"index.latex.rst\"
-	@sed 's/:maxdepth: 1/:maxdepth: 2/' _sources/index.rst > \
-	  _sources/index.latex.rst
-	$(SPHINXBUILD) -b latex "$(SOURCEDIR)" $(ALLSPHINXOPTS) $(BUILDDIR)/latex
-	@echo copying a few files
-	cp cover/*.pdf $(BUILDDIR)/latex
-	@echo modifying the title page
-	cd $(BUILDDIR)/latex; \
-	  cp expEYES-17.tex expEYES-17.tex.orig; \
-	  sed -i '/\\usepackage{sphinx}.*/r ../../include.tex' expEYES-17.tex; \
-	  sed -i 's/\\sphinxmaketitle/\\includepdf{coverpage.pdf}\n\\includepdf{preface.pdf}/' expEYES-17.tex;
-	@echo launching prettyLaTeX.py
-	python3 prettyLaTeX.py $(BUILDDIR)/latex expEYES-17.tex
-	@echo generating PDF images in the LaTeX directory
-	rm -f $(BUILDDIR)/latex/Makefile-images
-	ln -s ../../../Makefile-images $(BUILDDIR)/latex
-	$(MAKE) -C $(BUILDDIR)/latex -f Makefile-images
-	@echo "Running LaTeX files through xelatex..."
-	$(MAKE) -C $(BUILDDIR)/latex all-pdf PDFLATEX="latexmk -xelatex -silent -f -dvi- -ps-" || cat $(BUILDDIR)/latex/expEYES-17.log
-	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."
-	@echo removing the tempory file \"index.latex.rst\"
-	@rm -f _sources/index.latex.rst
-
-.PHONY: epub
-epub: build/epub/$(TARGET).epub
-
-build/epub/$(TARGET).epub: $(RSTSOURCES)
-	$(SPHINXBUILD) -b epub "$(SOURCEDIR)" $(ALLSPHINXOPTS) $(BUILDDIR)/epub
-	fname=$$(basename $$(ls $(BUILDDIR)/epub/*.epub)| sed 's/.epub//'); \
-	if [ -n "$$fname" ]; then \
-	  gm convert -density 300x300 $(BUILDDIR)/../cover/coverpage.pdf \
-	    $(BUILDDIR)/epub/coverpage.jpg; \
-	  ebook-polish --cover $(BUILDDIR)/epub/coverpage.jpg \
-	    $(BUILDDIR)/epub/$$fname.epub && \
-	    mv $(BUILDDIR)/epub/$${fname}_polished.epub \
-	    $(BUILDDIR)/epub/$$fname.epub; \
-	  echo; \
-	  echo "Build finished. The epub file is in $(BUILDDIR)/epub."; \
-	fi
-
 .PHONY: clean
 clean:
-	find $(BUILDDIR)/epub -mindepth 1 -maxdepth 1 | grep -v expEYES-17 | \
-	  xargs rm -rf
-	find $(BUILDDIR)/latex -mindepth 1 -maxdepth 1 | grep -v expEYES-17.pdf | \
-	  xargs rm -rf
-	cd cover; rm -f *.aux *.log *~
 	rm -rf $(BUILDDIR)/doctrees
 	if [ -z "$(EYES17_ONLY)" ]; then rm -f *.html; fi
 
 
-.PHONY: distclean
-distclean: clean
-	cd cover; rm -f *.pdf
Index: expeyes/microhope/Makefile
===================================================================
--- expeyes.orig/microhope/Makefile
+++ expeyes/microhope/Makefile
@@ -2,7 +2,7 @@ DESTDIR =
 TGZFILE = /tmp/microhope.tgz
 
 all:
-	$(MAKE) -C uhope/po all
+	$(MAKE) -C po all
 
 install: all
 	# install the main command to launch microhope
@@ -10,7 +10,7 @@ install: all
 	install -m 755 microhope.py $(DESTDIR)/usr/bin
 	mv $(DESTDIR)/usr/bin/microhope.py $(DESTDIR)/usr/bin/microhope
 	# install the localization
-	$(MAKE) -C uhope/po install DESTDIR=$(DESTDIR)
+	$(MAKE) -C po install DESTDIR=$(DESTDIR)
 	# install the pixmaps
 	install -d $(DESTDIR)/usr/share/microhope/pixmaps
 	install -m 644 pixmaps/* $(DESTDIR)/usr/share/microhope/pixmaps
@@ -27,6 +27,7 @@ uninstall:
 
 clean:
 	rm -f *.o *~ *.pyc uhope/*~
+	rm -f po/*.mo
 	find . -name "__pycache__" | xargs rm -rf
 
 archive:
